complexType "LimitApplicable"

Namespace: | http://www.fpml.org/FpML-5/pretrade
Content: | complex, 6 elements
Defined: | globally in fpml-pretrade-processes-5-5.xsd; see XML source
Includes: | definitions of 6 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | limitType?, clipSize?, amountUtilized?, amountRemaining?, currency?, velocity?
</...>

Content Model Elements (6):

  amountRemaining, amountUtilized, clipSize, | currency (in limitApplicable), limitType, velocity

All Direct / Indirect Based Elements (1):

  limitApplicable

Known Usage Locations

- As direct type of elements (1):
  limitApplicable

XML Source (w/o annotations (1); see within schema source)

<xsd:complexType name="LimitApplicable"> <xsd:sequence> <xsd:element minOccurs="0" name="limitType" type="LimitType"/> <xsd:element minOccurs="0" name="clipSize" type="xsd:integer"/> <xsd:element minOccurs="0" name="amountUtilized" type="xsd:integer"/> <xsd:element minOccurs="0" name="amountRemaining" type="xsd:integer"/> <xsd:element minOccurs="0" name="currency" type="Currency"/> <xsd:element minOccurs="0" name="velocity" type="Velocity"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 6/6)
amountRemaining

  Type: | xsd:integer, predefined, simple content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="amountRemaining" type="xsd:integer"/>

amountUtilized

  Type: | xsd:integer, predefined, simple content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="amountUtilized" type="xsd:integer"/>

clipSize

  Type: | xsd:integer, predefined, simple content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="clipSize" type="xsd:integer"/>

currency

  Type: | Currency, simple content

  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="currency" type="Currency"/>

limitType

  Type: | LimitType, simple content

  Standard code to indicate which type of credit line is being referred to - i.e. IM, DV01, PV01, CS01, Notional, Clip Size, Notional, maximumOrderQuantity
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="limitType" type="LimitType"/>

velocity

  Type: | Velocity, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="velocity" type="Velocity"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.